### org.jfree.layouting.layouter.context

# Class ContextId

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.ContextId`

`public class ContextId`
`extends java.lang.Object`

Creation-Date: 05.12.2005, 18:04:27

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `SOURCE_DISPLAY_MODEL`

  `static int`

  `SOURCE_NORMALIZER`

  `static int`

  `SOURCE_RENDERER`

  ## Constructor Summary

  `ContextId(int source, long parentId, long id)`

  ## Method Summary

  `boolean`

  `equals(Object o)`

  `long`

  `getId()`

  `long`

  `getParentId()`

  `int`

  `getSource()`

  `int`

  `hashCode()`

  `String`

  `toString()`

## Field Details

### SOURCE_DISPLAY_MODEL

    public static final int SOURCE_DISPLAY_MODEL

> Field Value:
>   2

### SOURCE_NORMALIZER

    public static final int SOURCE_NORMALIZER

> Field Value:
>   1

### SOURCE_RENDERER

    public static final int SOURCE_RENDERER

> Field Value:
>   3

## Constructor Details

### ContextId

    public ContextId(int source,
                     long parentId,
                     long id)

## Method Details

### equals

    public boolean equals(Object o)

### getId

    public long getId()

### getParentId

    public long getParentId()

### getSource

    public int getSource()

### hashCode

    public int hashCode()

### toString

    public String toString()